ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
LibItsMapemSpatem__TestSystem::MapemSpatemPort Class Reference

`#include <MapemSpatemPort.hh>`

Inheritance diagram for LibItsMapemSpatem__TestSystem::MapemSpatemPort:

## Public Member Functions
| MapemSpatemPort (const char *par_port_name=NULL)
| ~MapemSpatemPort ()
void | set_parameter (const char *parameter_name, const char *parameter_value)
void | receiveMsg (const LibItsMapemSpatem__TestSystem::MapemInd &, const Params &)
void | receiveMsg (const LibItsMapemSpatem__TestSystem::SpatemInd &, const Params &)

## Protected Member Functions
void | user_map (const char *system_port)
void | user_unmap (const char *system_port)
void | user_start ()
void | user_stop ()
void | outgoing_send (const MapemReq &send_par)
void | outgoing_send (const SpatemReq &send_par)

## Private Member Functions
void | Handle_Fd_Event_Error (int fd)
void | Handle_Fd_Event_Writable (int fd)
void | Handle_Fd_Event_Readable (int fd)

## Private Attributes
Params | _cfg_params
Params | _layer_params
layer * | _layer
std::string | _time_key

## Constructor & Destructor Documentation

## ◆ MapemSpatemPort()

LibItsMapemSpatem__TestSystem::MapemSpatemPort::MapemSpatemPort | ( | const char * | par_port_name = `NULL` | ) |

## ◆ ~MapemSpatemPort()

LibItsMapemSpatem__TestSystem::MapemSpatemPort::~MapemSpatemPort | ( |  | ) |

## Member Function Documentation

## ◆ Handle_Fd_Event_Error()

void LibItsMapemSpatem__TestSystem::MapemSpatemPort::Handle_Fd_Event_Error | ( | int | fd | ) |
| private

## ◆ Handle_Fd_Event_Readable()

void LibItsMapemSpatem__TestSystem::MapemSpatemPort::Handle_Fd_Event_Readable | ( | int | fd | ) |
| private

## ◆ Handle_Fd_Event_Writable()

void LibItsMapemSpatem__TestSystem::MapemSpatemPort::Handle_Fd_Event_Writable | ( | int | fd | ) |
| private

## ◆ outgoing_send() [1/2]

void LibItsMapemSpatem__TestSystem::MapemSpatemPort::outgoing_send | ( | const MapemReq & | send_par | ) |
| protected

## ◆ outgoing_send() [2/2]

void LibItsMapemSpatem__TestSystem::MapemSpatemPort::outgoing_send | ( | const SpatemReq & | send_par | ) |
| protected

## ◆ receiveMsg() [1/2]

void LibItsMapemSpatem__TestSystem::MapemSpatemPort::receiveMsg | ( | const LibItsMapemSpatem__TestSystem::MapemInd & | p_ind,
|  | const Params & | p_params
| ) |  |

## ◆ receiveMsg() [2/2]

void LibItsMapemSpatem__TestSystem::MapemSpatemPort::receiveMsg | ( | const LibItsMapemSpatem__TestSystem::SpatemInd & | p_ind,
|  | const Params & | p_params
| ) |  |

## ◆ set_parameter()

void LibItsMapemSpatem__TestSystem::MapemSpatemPort::set_parameter | ( | const char * | parameter_name,
|  | const char * | parameter_value
| ) |  |

## ◆ user_map()

void LibItsMapemSpatem__TestSystem::MapemSpatemPort::user_map | ( | const char * | system_port | ) |
| protected

## ◆ user_start()

void LibItsMapemSpatem__TestSystem::MapemSpatemPort::user_start | ( |  | ) |
| protected

## ◆ user_stop()

void LibItsMapemSpatem__TestSystem::MapemSpatemPort::user_stop | ( |  | ) |
| protected

## ◆ user_unmap()

void LibItsMapemSpatem__TestSystem::MapemSpatemPort::user_unmap | ( | const char * | system_port | ) |
| protected

## Member Data Documentation

## ◆ _cfg_params

Params LibItsMapemSpatem__TestSystem::MapemSpatemPort::_cfg_params
| private

## ◆ _layer

layer* LibItsMapemSpatem__TestSystem::MapemSpatemPort::_layer
| private

## ◆ _layer_params

Params LibItsMapemSpatem__TestSystem::MapemSpatemPort::_layer_params
| private

## ◆ _time_key

std::string LibItsMapemSpatem__TestSystem::MapemSpatemPort::_time_key
| private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/src/TestCodec/include/MapemSpatemPort.hh
- /home/vagrant/TriesAndDelete/etsi_its/src/TestCodec/src/MapemSpatemPort.cc